cocoon-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andre Thenot <andre-li...@thenot.org>
Subject [solved] Re: Forms crash with selection-list/@src
Date Fri, 05 Sep 2008 23:29:37 GMT
On Sep 1, 2008, at 16:35, Joerg Heinicke wrote:

> On 01.09.2008 21:40, Andre Thenot wrote:
>
>> I'm getting an error with CForms when trying to use selection- 
>> lists. If I embed the fd:items in the form model, under  
>> fd:selection-list, everything works fine. But if I try to reference  
>> that list from elsewhere, using the @src attribute of fd:selection- 
>> list, I get the stacktrace below. I am using Cocoon 2.2 and running  
>> it within Jetty.
>> I've compared this with the samples but can't figure out what I'm  
>> doing wrong.
>
>> java.lang.NoSuchMethodError:  
>> org.apache.cocoon.components.source.SourceUtil.toSAX(Lorg/apache/ 
>> excalibur/xmlizer/XMLizer;Lorg/apache/excalibur/source/Source;Ljava/ 
>> lang/String;Lorg/xml/sax/ContentHandler;)V     at  
>> org 
>> .apache 
>> .cocoon 
>> .forms 
>> .datatype 
>> .DynamicSelectionList.generateSaxFragment(DynamicSelectionList.java: 
>> 105)
>
> you must have a classpath issue. The jar that contains SourceUtil  
> and the one with DynamicSelectionList are not compatible.  
> NoSuchMethodError means that the according sources would not compile  
> against each other.

Joerg,

Thanks for your answer. Looking at the source, it seems that the  
method with that signature lives in  
o.a.c.components.source.util.SourceUtil, which is the superclass of  
o.a.c.components.source.SourceUtil which are in core and cocoon- 
pipeline-impl respectively. I ran maven with -X and could see the  
dependency being added correctly. I was stuck until...

I finally looked at my versions: I was using old versions!

What I was using:
     cocoon-core            2.2.0-RC2
     cocoon-forms-impl      1.1.0
     cocoon-template-impl   1.0.0-RC2
     cocoon-flowscript-impl 1.0.0-RC2
     cocoon-html-impl       1.0.0-RC2
     jetty-naming           6.1.5

Resolution: I switched to 2.2.0 for core and 1.0.0 for flowscript-impl  
and the problem went away.

A.



---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@cocoon.apache.org
For additional commands, e-mail: users-help@cocoon.apache.org


Mime
View raw message